org.eclipse.eef.core.api.controllers

## Interface IInvalidValidationRuleResult

All Superinterfaces:
  IValidationRuleResult

All Known Implementing Classes:
  InvalidValidationRuleResult

    public interface IInvalidValidationRuleResult
    extends IValidationRuleResult

The invalid validation rule result.

### Field Summary

Fields
`static int` `ERROR_TYPE` ERROR.
`static int` `INFO_TYPE` INFO.
`static int` `WARNING_TYPE` WARNING.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getData()` Returns the data related to this invalid result.
`java.lang.String` `getMessage()` Returns the message to display to the end user.
`int` `getSeverity()` Returns the severity.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IValidationRuleResult

`getValidationRule`

### Field Detail

#### INFO_TYPE

    static final int INFO_TYPE

INFO.

See Also:
  Constant Field Values

#### WARNING_TYPE

    static final int WARNING_TYPE

WARNING.

See Also:
  Constant Field Values

#### ERROR_TYPE

    static final int ERROR_TYPE

ERROR.

See Also:
  Constant Field Values

### Method Detail

#### getMessage

    java.lang.String getMessage()

Returns the message to display to the end user.

Returns:
  The message to display to the end user

#### getData

    java.lang.Object getData()

Returns the data related to this invalid result.

Returns:
  The data related to this invalid result

#### getSeverity

    int getSeverity()

Returns the severity.

Returns:
  The severity